<?php

// Slider - Checkbox
if ( ! function_exists( 'naeca_pro_slider_render' ) ) {
  function naeca_pro_slider_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_slider]' id='naeca_pro_slider-id' <?php checked( isset($options['naeca_pro_slider']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}

// Products - Checkbox
if ( ! function_exists( 'naeca_pro_product_render' ) ) {
  function naeca_pro_product_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_product]' id='naeca_pro_product-id' <?php checked( isset($options['naeca_pro_product']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}

// Products Slider - Checkbox
if ( ! function_exists( 'naeca_pro_product_slider_render' ) ) {
  function naeca_pro_product_slider_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_product_slider]' id='naeca_pro_product_slider-id' <?php checked( isset($options['naeca_pro_product_slider']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}

// Products Multiscroll - Checkbox
if ( ! function_exists( 'naeca_pro_product_multiscroll_render' ) ) {
  function naeca_pro_product_multiscroll_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_product_multiscroll]' id='naeca_pro_product_multiscroll-id' <?php checked( isset($options['naeca_pro_product_multiscroll']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}

// Miss Aligned Products - Checkbox
if ( ! function_exists( 'naeca_pro_malign_product_render' ) ) {
  function naeca_pro_malign_product_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_malign_product]' id='naeca_pro_malign_product-id' <?php checked( isset($options['naeca_pro_malign_product']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}

// Hotspot - Checkbox
if ( ! function_exists( 'naeca_pro_hotspot_render' ) ) {
  function naeca_pro_hotspot_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_hotspot]' id='naeca_pro_hotspot-id' <?php checked( isset($options['naeca_pro_hotspot']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}

// Deals - Checkbox
if ( ! function_exists( 'naeca_pro_deals_render' ) ) {
  function naeca_pro_deals_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_deals]' id='naeca_pro_deals-id' <?php checked( isset($options['naeca_pro_deals']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}

// Compare - Checkbox
if ( ! function_exists( 'naeca_pro_compare_render' ) ) {
  function naeca_pro_compare_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_compare]' id='naeca_pro_compare-id' <?php checked( isset($options['naeca_pro_compare']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}

// Cart - Checkbox
if ( ! function_exists( 'naeca_pro_cart_render' ) ) {
  function naeca_pro_cart_render() {
    $options = get_option( 'naeca_uw_settings' );
    ?>
    <label class="switch">
      <input type='checkbox' name='naeca_uw_settings[naeca_pro_cart]' id='naeca_pro_cart-id' <?php checked( isset($options['naeca_pro_cart']), 1 ); ?> value='1' />
      <span class="slider round"></span>
    </label>
    <?php
  }
}